% control de acceso basado en reconocimiento de caras
% segunda fase: verificacion
function acceso_verifica

while(1)

    % lee la ultima imagen capturada
    imagen = espera_imagen('C:\IARP\Image001.bmp');

    % recorta la imagen al tamao estandar
    recorte = recorta_imagen(imagen, 120, 150);

    % obtiene las componentes PCA proyectando sobre el subespacio elegido
    proy = proyecta_PCA(recorte);

    % escribe el fichero de test para WEKA
    escribe_test_arff('test.arff', proy);

    % lanza WEKA
    !java weka.classifiers.lazy.IBk -T test.arff -l mod.out -p 0 > out.txt

    % lee resultado de WEKA
    sujeto = lee_resultado('out.txt');

    % muestra resultado en pantalla
    muestra_resultado(sujeto);

end

return

